Subject: Re: bug#54651: Guix pull failing on ARM 32bit with "Please report the COMPLETE output above by email"

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Mon, 23 May 2022 21:08:20 +0200

Maybe an issue is that I've 2 cores on i686 while I've 4 on armv7h.

Or Maybe I didn't see what was there before (I use screen so it's not
convenient to copy-paste the output). Now I have:
> $ guix pull --commit=f0e9048e98f0789aa98de88984f4ee0fc9687f52 -M 1 -c 1
> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
> Building from this channel:
>   guix      https://git.savannah.gnu.org/git/guix.git   f0e9048
> building /gnu/store/m1iyn6y1s3ajl6v0lv5658zq2cngdpq3-ruby-stackprof-0.2.17.drv...
> - 'check' phasebuilder for `/gnu/store/m1iyn6y1s3ajl6v0lv5658zq2cngdpq3-ruby-stackprof-0.2.17.drv' failed with exit code 1
> build of /gnu/store/m1iyn6y1s3ajl6v0lv5658zq2cngdpq3-ruby-stackprof-0.2.17.drv failed
> View build log at '/var/log/guix/drvs/m1/iyn6y1s3ajl6v0lv5658zq2cngdpq3-ruby-stackprof-0.2.17.drv.bz2'.
> cannot build derivation `/gnu/store/i6zxh4qblndfaqgz62fcm2s983pqj3ak-ruby-rubocop-1.10.0.drv': 1 dependencies couldn't be built
> Backtrace:
> building /gnu/store/abh2450yi3ndn66qwxlg3dpbc1j5r8g1-ruby-webmock-2.3.2.drv...
> cannot build derivation `/gnu/store/pncfvxcp7irzsffydwj9f4h3i55xly11-ruby-byebug-11.1.3.drv': 1 dependencies couldn't be built
> building /gnu/store/8q33lywpkbx5l94hwf4k4mj6sn9zsqa2-yelp-xsl-41.0.drv...
> cannot build derivation `/gnu/store/p11fi1gs5pvl8zbiqrwd5kx35x36jsk9-texlive-hyphen-afrikaans-59745.drv': 1 dependencies couldn't be built
> [...]
> cannot build derivation `/gnu/store/76mv7y286isjcprbf4xjna9j2mhmpvky-texlive-hyphen-uppersorbian-59745.drv': 1 dependencies couldn't be built
> cannot build derivation `/gnu/store/m1g219klrksbrmi1x68a5n9a7aj36d9p-texlive-hyphen-welsh-59745.drv': 1 dependencies couldn't be built
> cannot build derivation `/gnu/store/n5bvrf8b42cdap7abggspy96wpg22ab4-texlive-amsmath-59745.drv': 1 dependencies couldn't be built
>           13 (primitive-load "/gnu/store/hv9q35aibf5v5ggw3hh0xwy5qzyjbh1c-compute-guix-derivation")
> In ice-9/eval.scm:
>     155:9 12 (_ _)
>     159:9 11 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
> In ice-9/boot-9.scm:
>     152:2 10 (with-fluid* _ _ _)
>     152:2  9 (with-fluid* _ _ _)
> In ./guix/store.scm:
>   2155:24  8 (run-with-store #<store-connection 256.99 b36becf8> _ #:guile-for-build _ #:system _ #:target _)
>    1983:8  7 (_ _)
> In ./guix/gexp.scm:
>    300:22  6 (_ _)
>    1181:2  5 (_ _)
>    1047:2  4 (_ _)
>     893:4  3 (_ _)
> In ./guix/store.scm:
>   2040:12  2 (_ #<store-connection 256.99 b20f92a8>)
>    1391:5  1 (map/accumulate-builds #<store-connection 256.99 b20f92a8> #<procedure b1dc2e58 at ./guix/store.scm:20?> ?)
>   1406:15  0 (_ #<store-connection 256.99 b20f92a8> _ _)
> 
> ./guix/store.scm:1406:15: ERROR:
>   1. &store-protocol-error:
>       message: "build of `/gnu/store/n5bvrf8b42cdap7abggspy96wpg22ab4-texlive-amsmath-59745.drv' failed"
>       status: 100
> guix pull: error: You found a bug: the program '/gnu/store/hv9q35aibf5v5ggw3hh0xwy5qzyjbh1c-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "f0e9048e98f0789aa98de88984f4ee0fc9687f52"; system: "armhf-linux";
> host version: "1.3.0"; pull-version: 1).
> Please report the COMPLETE output above by email to <[email-masked]>.

And here's the log:
> $ bzcat  /var/log/guix/drvs/m1/iyn6y1s3ajl6v0lv5658zq2cngdpq3-ruby-stackprof-0.2.17.drv.bz2
> starting phase `set-SOURCE-DATE-EPOCH'
> phase `set-SOURCE-DATE-EPOCH' succeeded after 0.0 seconds
> starting phase `set-paths'
> environment variable `PATH' set to `/gnu/store/laxk3l38cx1ighbbmhjyqi0dnqg48ps8-ruby-2.7.4/bin:/gnu/store/yg3ggbyci3c5mqmraaqhfj9vini43r4d-ruby-rake-compiler-1.1.1/bin:/gnu/store/8gnahljsd06hax5vwh5kmk751jcjjzwy-tar-1.34/bin:/gnu/store/g4fr5clvd6sb735x92dbf068jl9z0959-gzip-1.10/bin:/gnu/store/sg7xawwdh23vxb6jqbnc6sckdnx00ldg-bzip2-1.0.8/bin:/gnu/store/pps1pijrj4jcp23k658ymhisdwf58bva-xz-5.2.5/bin:/gnu/store/l8az077ik67pz29nhhjai5ra5vlrcwz4-file-5.39/bin:/gnu/store/fncbwpmpkx5walrm3bnx586wj4kppkzr-diffutils-3.8/bin:/gnu/store/408wpqw5kx0v4p304vi6g86d1a95ynyy-patch-2.7.6/bin:/gnu/store/c7md7zma2706lzn96zrnzx70pq7m2b2k-findutils-4.8.0/bin:/gnu/store/ik5jr3x2s6vr7d77lmrrc2i03mfnr3hn-gawk-5.1.0/bin:/gnu/store/8iy4h07y9rcnr0i1a17r14fl5frx283s-sed-4.8/bin:/gnu/store/14w43053md7pprc76z33rdxjwc8vnkxd-grep-3.6/bin:/gnu/store/32fqqi7hkbx22jh917mf5g7phin5r16y-coreutils-8.32/bin:/gnu/store/0nz9kdv53yf2f87bgxa6wv8fcsrsp7gi-make-4.3/bin:/gnu/store/97xwzdsw9p6019dbml5mzf781c7avfkq-bash-minimal-5.1.8/bin:/gnu/store/95fsg9yv455ybq10qs409g6wffmqpn44-ld-wrapper-0/bin:/gnu/store/aaawb28w66dpmypf7qfndp8wmgrx7d0j-binutils-2.37/bin:/gnu/store/j1qipvd6087zklgxm0b3dphsagq4s5sa-gcc-10.3.0/bin:/gnu/store/nm8h8f988c2wvjk31lg1ww5zr65cd05c-glibc-2.33/bin:/gnu/store/nm8h8f988c2wvjk31lg1ww5zr65cd05c-glibc-2.33/sbin'
> environment variable `GEM_PATH' set to `/gnu/store/laxk3l38cx1ighbbmhjyqi0dnqg48ps8-ruby-2.7.4/lib/ruby/vendor_ruby:/gnu/store/mdwww2mdf58x84z7gxwhjz1p7l8dbjki-ruby-mocha-1.13.0/lib/ruby/vendor_ruby:/gnu/store/yg3ggbyci3c5mqmraaqhfj9vini43r4d-ruby-rake-compiler-1.1.1/lib/ruby/vendor_ruby'
> environment variable `BASH_LOADABLES_PATH' unset
> environment variable `C_INCLUDE_PATH' set to `/gnu/store/laxk3l38cx1ighbbmhjyqi0dnqg48ps8-ruby-2.7.4/include:/gnu/store/sg7xawwdh23vxb6jqbnc6sckdnx00ldg-bzip2-1.0.8/include:/gnu/store/pps1pijrj4jcp23k658ymhisdwf58bva-xz-5.2.5/include:/gnu/store/l8az077ik67pz29nhhjai5ra5vlrcwz4-file-5.39/include:/gnu/store/ik5jr3x2s6vr7d77lmrrc2i03mfnr3hn-gawk-5.1.0/include:/gnu/store/0nz9kdv53yf2f87bgxa6wv8fcsrsp7gi-make-4.3/include:/gnu/store/aaawb28w66dpmypf7qfndp8wmgrx7d0j-binutils-2.37/include:/gnu/store/j1qipvd6087zklgxm0b3dphsagq4s5sa-gcc-10.3.0/include:/gnu/store/nm8h8f988c2wvjk31lg1ww5zr65cd05c-glibc-2.33/include:/gnu/store/b6zsriwiywrv2kmg0d1249jylmwngsnh-zlib-1.2.11/include:/gnu/store/sj8ps64rbrj0qv4x2b374fbznz49p4bi-linux-libre-headers-5.10.35/include'
> environment variable `CPLUS_INCLUDE_PATH' set to `/gnu/store/laxk3l38cx1ighbbmhjyqi0dnqg48ps8-ruby-2.7.4/include:/gnu/store/sg7xawwdh23vxb6jqbnc6sckdnx00ldg-bzip2-1.0.8/include:/gnu/store/pps1pijrj4jcp23k658ymhisdwf58bva-xz-5.2.5/include:/gnu/store/l8az077ik67pz29nhhjai5ra5vlrcwz4-file-5.39/include:/gnu/store/ik5jr3x2s6vr7d77lmrrc2i03mfnr3hn-gawk-5.1.0/include:/gnu/store/0nz9kdv53yf2f87bgxa6wv8fcsrsp7gi-make-4.3/include:/gnu/store/aaawb28w66dpmypf7qfndp8wmgrx7d0j-binutils-2.37/include:/gnu/store/j1qipvd6087zklgxm0b3dphsagq4s5sa-gcc-10.3.0/include/c++:/gnu/store/j1qipvd6087zklgxm0b3dphsagq4s5sa-gcc-10.3.0/include:/gnu/store/nm8h8f988c2wvjk31lg1ww5zr65cd05c-glibc-2.33/include:/gnu/store/b6zsriwiywrv2kmg0d1249jylmwngsnh-zlib-1.2.11/include:/gnu/store/sj8ps64rbrj0qv4x2b374fbznz49p4bi-linux-libre-headers-5.10.35/include'
> environment variable `LIBRARY_PATH' set to `/gnu/store/laxk3l38cx1ighbbmhjyqi0dnqg48ps8-ruby-2.7.4/lib:/gnu/store/mdwww2mdf58x84z7gxwhjz1p7l8dbjki-ruby-mocha-1.13.0/lib:/gnu/store/yg3ggbyci3c5mqmraaqhfj9vini43r4d-ruby-rake-compiler-1.1.1/lib:/gnu/store/sg7xawwdh23vxb6jqbnc6sckdnx00ldg-bzip2-1.0.8/lib:/gnu/store/pps1pijrj4jcp23k658ymhisdwf58bva-xz-5.2.5/lib:/gnu/store/l8az077ik67pz29nhhjai5ra5vlrcwz4-file-5.39/lib:/gnu/store/ik5jr3x2s6vr7d77lmrrc2i03mfnr3hn-gawk-5.1.0/lib:/gnu/store/aaawb28w66dpmypf7qfndp8wmgrx7d0j-binutils-2.37/lib:/gnu/store/nm8h8f988c2wvjk31lg1ww5zr65cd05c-glibc-2.33/lib:/gnu/store/434qrmrs05vk6grbldf3a1awam5rxpm4-glibc-2.33-static/lib:/gnu/store/z4c91fgx1kv5yhzcj64v2haabzcc9q4n-glibc-utf8-locales-2.33/lib:/gnu/store/b6zsriwiywrv2kmg0d1249jylmwngsnh-zlib-1.2.11/lib'
> environment variable `GUIX_LOCPATH' set to `/gnu/store/z4c91fgx1kv5yhzcj64v2haabzcc9q4n-glibc-utf8-locales-2.33/lib/locale'
> phase `set-paths' succeeded after 0.1 seconds
> starting phase `install-locale'
> using 'en_US.utf8' locale for category "LC_ALL"
> phase `install-locale' succeeded after 0.0 seconds
> starting phase `unpack'
> Unpacked gem: '/tmp/guix-build-ruby-stackprof-0.2.17.drv-0/46lp24a1j43byvib8p72jll17mqz50pp-stackprof-0.2.17'
> phase `unpack' succeeded after 1.5 seconds
> starting phase `patch-usr-bin-file'
> phase `patch-usr-bin-file' succeeded after 0.0 seconds
> starting phase `patch-source-shebangs'
> patch-shebang: ./bin/stackprof: changing `/usr/bin/env ruby' to `/gnu/store/laxk3l38cx1ighbbmhjyqi0dnqg48ps8-ruby-2.7.4/bin/ruby'
> patch-shebang: ./bin/stackprof-flamegraph.pl: changing `/usr/bin/env ruby' to `/gnu/store/laxk3l38cx1ighbbmhjyqi0dnqg48ps8-ruby-2.7.4/bin/ruby'
> patch-shebang: ./bin/stackprof-gprof2dot.py: changing `/usr/bin/env ruby' to `/gnu/store/laxk3l38cx1ighbbmhjyqi0dnqg48ps8-ruby-2.7.4/bin/ruby'
> patch-shebang: ./vendor/FlameGraph/flamegraph.pl: warning: no binary for interpreter `perl' found in $PATH
> patch-shebang: ./vendor/gprof2dot/gprof2dot.py: warning: no binary for interpreter `python' found in $PATH
> patch-shebang: ./vendor/gprof2dot/hotshotmain.py: warning: no binary for interpreter `python' found in $PATH
> phase `patch-source-shebangs' succeeded after 0.0 seconds
> starting phase `patch-generated-file-shebangs'
> patch-shebang: ./vendor/FlameGraph/flamegraph.pl: warning: no binary for interpreter `perl' found in $PATH
> patch-shebang: ./vendor/gprof2dot/gprof2dot.py: warning: no binary for interpreter `python' found in $PATH
> patch-shebang: ./vendor/gprof2dot/hotshotmain.py: warning: no binary for interpreter `python' found in $PATH
> phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
> starting phase `extract-gemspec'
> phase `extract-gemspec' succeeded after 1.0 seconds
> starting phase `replace-git-ls-files'
> phase `replace-git-ls-files' succeeded after 0.0 seconds
> starting phase `build'
>   Successfully built RubyGem
>   Name: stackprof
>   Version: 0.2.17
>   File: stackprof-0.2.17.gem
> phase `build' succeeded after 1.1 seconds
> starting phase `skip-dubious-test'
> phase `skip-dubious-test' succeeded after 0.0 seconds
> starting phase `build-tests'
> mkdir -p tmp/arm-linux-eabihf/stackprof/2.7.4
> cd tmp/arm-linux-eabihf/stackprof/2.7.4
> /gnu/store/laxk3l38cx1ighbbmhjyqi0dnqg48ps8-ruby-2.7.4/bin/ruby -I. ../../../../ext/stackprof/extconf.rb
> checking for rb_postponed_job_register_one()... yes
> checking for rb_profile_frames()... yes
> checking for rb_tracepoint_new()... yes
> checking for RUBY_INTERNAL_EVENT_NEWOBJ... yes
> creating Makefile
> cd -
> cd tmp/arm-linux-eabihf/stackprof/2.7.4
> /gnu/store/0nz9kdv53yf2f87bgxa6wv8fcsrsp7gi-make-4.3/bin/make
> compiling ../../../../ext/stackprof/stackprof.c
> linking shared-object stackprof/stackprof.so
> cd -
> mkdir -p tmp/arm-linux-eabihf/stage/lib/stackprof
> install -c tmp/arm-linux-eabihf/stackprof/2.7.4/stackprof.so lib/stackprof/stackprof.so
> cp tmp/arm-linux-eabihf/stackprof/2.7.4/stackprof.so tmp/arm-linux-eabihf/stage/lib/stackprof/stackprof.so
> phase `build-tests' succeeded after 10.8 seconds
> starting phase `check'
> Mocha deprecation warning at /gnu/store/laxk3l38cx1ighbbmhjyqi0dnqg48ps8-ruby-2.7.4/lib/ruby/2.7.0/rubygems/core_ext/kernel_require.rb:158:in `require': Require 'mocha/test_unit', 'mocha/minitest' or 'mocha/api' instead of 'mocha/setup'.
> /tmp/guix-build-ruby-stackprof-0.2.17.drv-0/gem/test/test_stackprof.rb:208: warning: assigned but unused variable - raw
> Run options: --seed 326
> 
> # Running:
> 
> ..............F.............
> 
> Finished in 0.780235s, 35.8866 runs/s, 117.9132 assertions/s.
> 
>   1) Failure:
> StackProfTest#test_gc [/tmp/guix-build-ruby-stackprof-0.2.17.drv-0/gem/test/test_stackprof.rb:221]:
> Expected 37 to be <= 25.
> 
> 28 runs, 92 assertions, 1 failures, 0 errors, 0 skips
> rake aborted!
> Command failed with status (1)
> 
> Tasks: TOP => test
> (See full trace by running task with --trace)
> error: in phase 'check': uncaught exception:
> %exception #<&invoke-error program: "rake" arguments: ("test") exit-status: 1 term-signal: #f stop-signal: #f> 
> phase `check' failed after 3.4 seconds
> command "rake" "test" failed with status 1

I'll now try with the current HEAD to see if that's somehow fixed.

Denis.